aboutsummaryrefslogtreecommitdiff
path: root/tlsproxy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tlsproxy.sh')
-rwxr-xr-xtlsproxy.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tlsproxy.sh b/tlsproxy.sh
index aa0006a..a893872 100755
--- a/tlsproxy.sh
+++ b/tlsproxy.sh
@@ -1,5 +1,22 @@
#!/bin/sh
+set -xe
+
+# Enter proper cluster subdirectory
+
+cd $(dirname $0)
+
+CLUSTER="$1"
+if [ ! -d "cluster/$CLUSTER" ]; then
+ echo "Usage: $0 <cluster name>"
+ echo "The cluster name must be the name of a subdirectory of cluster/"
+ exit 1
+fi
+
+cd cluster/$CLUSTER
+
+# Do actual stuff
+
YEAR=$(date +%Y)
_int() {